INamedElement

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface INamedElement

    com.change_vision.jude.api.inf.model.INamedElement

All Implemented Interfaces:
  IElement, IHyperlinkOwner

All Known Implementing Classes:
  IActivity, IActivityNode, IAssociation, IAttribute, IClass, IClassifierTemplateParameter, IComment, IConstraint, IDataFlow, IDataFlowNode, IDependency, IDiagram, IERAttribute, IERDatatype, IERDomain, IEREntity, IERIndex, IERRelationship, IERSchema, IERSubtypeRelationship, IExtend, IExtentionPoint, IFlow, IGeneralization, IInclude, IInteractionFragment, IInteractionOperand, ILifeline, IMessage, IOperation, IPackage, IParameter, IPartition, IRealization, IStateMachine, ITemplateBinding, ITransition, IUsage, IVertex

public INamedElement
extends IElement, IHyperlinkOwner

Interface for named elements.

Field Summary
`(package private) static String` | `PACKAGE_VISIBILITY`
`(package private) static String` | `PRIVATE_VISIBILITY`
`(package private) static String` | `PROTECTED_VISIBILITY`
`(package private) static String` | `PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getAlias1()` Get Alias1.
`abstract String` | `getAlias2()` Get Alias2.
`abstract IDependency[]` | `getClientDependencies()` Get Client Dependencies.
`abstract IConstraint[]` | `getConstraints()` Get Constraints.
`abstract String` | `getDefinition()` Get Definition.
`abstract IDiagram[]` | `getDiagrams()` Get Diagrams.
`abstract String` | `getName()` Get Name.
`abstract IDependency[]` | `getSupplierDependencies()` Get Supplier Dependencies.
`abstract boolean` | `isPackageVisibility()` Check if the visibility is Package.
`abstract boolean` | `isPrivateVisibility()` Check if the visibility is Private.
`abstract boolean` | `isProtectedVisibility()` Check if the visibility is Protected.
`abstract boolean` | `isPublicVisibility()` Check if the visibility is Public.
`abstract void` | `setAlias1(String alias1)` Set Alias1.
`abstract void` | `setAlias2(String alias2)` Set Alias2.
`abstract void` | `setDefinition(String definition)` Set Definition.
`abstract void` | `setName(String name)` Set Name.
`abstract void` | `setVisibility(String visibility)` Set Visibility.

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Field Detail

### PUBLIC_VISIBILITY

    static final String PUBLIC_VISIBILITY

### PROTECTED_VISIBILITY

    static final String PROTECTED_VISIBILITY

### PACKAGE_VISIBILITY

    static final String PACKAGE_VISIBILITY

### PRIVATE_VISIBILITY

    static final String PRIVATE_VISIBILITY

Method Detail

### getName

    public abstract String getName()

  Get Name.

  Returns:
    Name

### getConstraints

    public abstract IConstraint[] getConstraints()

  Get Constraints.

  Returns:
    the array of Constraints.

### getSupplierDependencies

    public abstract IDependency[] getSupplierDependencies()

  Get Supplier Dependencies.

  Returns:
    the array of Dependency.

### getClientDependencies

    public abstract IDependency[] getClientDependencies()

  Get Client Dependencies.

  Returns:
    the array of Dependency.

### getDefinition

    public abstract String getDefinition()

  Get Definition.

  Returns:
    String definition

### isPublicVisibility

    public abstract boolean isPublicVisibility()

  Check if the visibility is Public.

  Returns:
    true it is public / false it is not public

### isProtectedVisibility

    public abstract boolean isProtectedVisibility()

  Check if the visibility is Protected.

  Returns:
    true it is protected / false it is not protected

### isPrivateVisibility

    public abstract boolean isPrivateVisibility()

  Check if the visibility is Private.

  Returns:
    true it is private / false it is not private

### isPackageVisibility

    public abstract boolean isPackageVisibility()

  Check if the visibility is Package.

  Returns:
    true it is Package / false it is not Package

### getDiagrams

    public abstract IDiagram[] getDiagrams()

  Get Diagrams.

  Returns:
    the array of Diagrams.

### setName

    public abstract void setName(String name)

  Set Name.

  Parameters:
    `name` - Name
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setDefinition

    public abstract void setDefinition(String definition)

  Set Definition.

  Parameters:
    `definition` - Definition
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setVisibility

    public abstract void setVisibility(String visibility)

  Set Visibility.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### getAlias1

    public abstract String getAlias1()

  Get Alias1.

  Returns:
    Alias1

### getAlias2

    public abstract String getAlias2()

  Get Alias2.

  Returns:
    Alias2

### setAlias1

    public abstract void setAlias1(String alias1)

  Set Alias1. Alias1 can be deleted by null.

  Parameters:
    `alias1` - alias1
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              INVALID_ALIAS_MODEL_ERROR_KEY - if an alias cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setAlias2

    public abstract void setAlias2(String alias2)

  Set Alias2. Alias2 can be deleted by null.

  Parameters:
    `alias2` - alias2
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              INVALID_ALIAS_MODEL_ERROR_KEY - if an alias cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD